"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_1 = require("graphql");
var effectiveRules = graphql_1.specifiedRules.filter(function (f) { return f.name !== 'NoUnusedFragments'; });
var IGNORED_VALIDATION_ERRORS = ['Unknown fragment', 'Unknown directive'];
exports.validateGraphQlDocuments = function (schema, documentFiles) {
    return documentFiles
        .map(function (result) { return ({
        filePath: result.filePath,
        errors: graphql_1.validate(schema, result.content, effectiveRules).filter(function (e) { return !IGNORED_VALIDATION_ERRORS.find(function (ignoredErr) { return e.message.indexOf(ignoredErr) > -1; }); })
    }); })
        .filter(function (r) { return r.errors.length > 0; });
};
//# sourceMappingURL=validate-documents.js.map